Home  |  Reunion 12 Support  |  ReunionTouch  |  ReunionTalk Forums  |  Upgrade  |  Contact Us

Buy Reunion Now!


System Requirements

To use Reunion for Mac, you will need...


  • Mac OS X 10.7 or newer.

To use ReunionTouch, you will need...


  • An iPad, iPhone or iPod Touch running iOS 9.0 or newer.
  • Reunion for Mac version 11 or 12.
  • A Dropbox account and Dropbox installed on your Mac.
  • Beginning January 16, 2018, Mac OS X version 10.9 or newer will be required to continue using Dropbox on the Mac. More information is here.

Having a family wouldn't hurt either.